# Template file for 'gcc-objc++'.
#
short_desc="GCC Objective-C++ support"
long_desc="${long_desc}

 This package contains GCC Objective-C++ support."

Add_dependency run glibc
Add_dependency run zlib
Add_dependency run cloog-ppl
Add_dependency run ppl
Add_dependency run gmp
Add_dependency run mpfr
Add_dependency run mpc
Add_dependency run gcc-c++	">=$version"
Add_dependency run gcc-objc	">=$version"

do_install()
{
	local triplet=

	if [ "${xbps_machine}" = "x86_64" ]; then
		triplet="${xbps_machine}-unknown-linux-gnu"
	else
		triplet="${xbps_machine}-pc-linux-gnu"
	fi

	mkdir -p ${DESTDIR}/usr/libexec/gcc/${triplet}/${version}
	mv ${SRCPKGDESTDIR}/usr/libexec/gcc/${triplet}/${version}/cc1objplus \
		${DESTDIR}/usr/libexec/gcc/${triplet}/${version}
}
